cordova.define("cordova-plugin-mst-live.mstLiveZijingPlugin", function(require, exports, module) {
var exec = require('cordova/exec');


module.exports = {

    init: function (serverAddr, roomNo, hostPwd, memberPwd, rtmpUrl, success, error) {
        //console.log(`>>>>>>>>>>call mstLiveZijingPlugin.init(${serverAddr},${roomNo},${hostPwd},${memberPwd})`);
        exec(success, error, 'mstLiveZijingPlugin', 'init', [serverAddr, roomNo, hostPwd, memberPwd, rtmpUrl]);
    },

    connectRoom: function (pwd, nickName, classType, teacherDevice, roomTitle, success, error) {
        //console.log(`>>>>>>>>>>call mstLiveZijingPlugin.connectRoom(${pwd},${nickName},${classType},${teacherDevice},${roomTitle})`);
        exec(success, error, 'mstLiveZijingPlugin', 'connectRoom', [pwd, nickName, classType, teacherDevice, roomTitle]);
    },

    exitRoom: function (success, error) {
        //console.log('>>>>>>>>>>call mstLiveZijingPlugin.exitRoom()');
        exec(success, error, 'mstLiveZijingPlugin', 'exitRoom', []);
    },

    sendMessage: function (msg, success, error) {
        //console.log(`>>>>>>>>>>call mstLiveZijingPlugin.sendMessage(${msg})`);
        exec(success, error, 'mstLiveZijingPlugin', 'sendMessage', [msg]);
    },

    receiveMessage: function (callback) {
        //console.log('>>>>>>>>>>call mstLiveZijingPlugin.receiveMessage()');
        this.receiveMessageCallback = callback;
    },

    _onReceiveMessage: function (uuid, message) {
        //console.log(`>>>>>>>>>>call mstLiveZijingPlugin._onReceiveMessage(${uuid},${message})`);
        if (this.receiveMessageCallback) {
            this.receiveMessageCallback(uuid, message);
        } else {
            //console.log(`>>>>>>>>>>call mstLiveZijingPlugin._onReceiveMessage(${uuid},${message}), but no callback`);
        }
    },

    receiveEvent: function (callback) {
        //console.log('>>>>>>>>>>call mstLiveZijingPlugin.receiveEvent()');
        this.eventCallback = callback;
    },

    _onReceiveEvent: function (eventType, detail) {
        //console.log(`>>>>>>>>>>call mstLiveZijingPlugin._onReceiveEvent(${eventType},${detail})`);
        if (this.eventCallback) {
            this.eventCallback(eventType, detail);
        } else {
            //console.log(`>>>>>>>>>>call mstLiveZijingPlugin._onReceiveEvent(${eventType},${detail}), but no callback`);
        }
    },

    openCamera: function (success, error) {
        //console.log('>>>>>>>>>>call mstLiveZijingPlugin.openCamera()');
        exec(success, error, 'mstLiveZijingPlugin', 'openCamera', []);
    },

    closeCamera: function (success, error) {
        //console.log('>>>>>>>>>>call mstLiveZijingPlugin.closeCamera()');
        exec(success, error, 'mstLiveZijingPlugin', 'closeCamera', []);
    },

    switchCamera: function (success, error) {
        //console.log('>>>>>>>>>>call mstLiveZijingPlugin.switchCamera()');
        exec(success, error, 'mstLiveZijingPlugin', 'switchCamera', []);
    },

    closeMic: function (success, error) {
        //console.log('>>>>>>>>>>call mstLiveZijingPlugin.closeMic()');
        exec(success, error, 'mstLiveZijingPlugin', 'closeMic', []);
    },

    openMic: function (success, error) {
        //console.log('>>>>>>>>>>call mstLiveZijingPlugin.openMic()');
        exec(success, error, 'mstLiveZijingPlugin', 'openMic', []);
    },

    upMic: function (success, error) {
        //console.log('>>>>>>>>>>call mstLiveZijingPlugin.upMic()');
        exec(success, error, 'mstLiveZijingPlugin', 'upMic', []);
    },

    downMic: function (success, error) {
        //console.log('>>>>>>>>>>call mstLiveZijingPlugin.downMic()');
        exec(success, error, 'mstLiveZijingPlugin', 'downMic', []);
    },

    switchVideoToMain: function (nickName, success, error) {
        //console.log(`>>>>>>>>>>call mstLiveZijingPlugin.switchVideoToMain(${nickName})`);
        exec(success, error, 'mstLiveZijingPlugin', 'switchVideoToMain', [nickName]);
    },

    toast: function (msg, success, error) {
        //console.log(`>>>>>>>>>>call mstLiveZijingPlugin.toast(${msg})`);
        exec(success, error, 'mstLiveZijingPlugin', 'toast', [msg]);
    },

    getInput: function (success, error) {
        //console.log('>>>>>>>>>>call mstLiveZijingPlugin.getInput()');
        exec(success, error, 'mstLiveZijingPlugin', 'getInput', []);
    },

    dialOut: function (destination, protocol, displayName, role, success, error) {
        //console.log(`>>>>>>>>>>call mstLiveZijingPlugin.dialOut(${destination},${protocol},${displayName},${role})`);
        exec(success, error, 'mstLiveZijingPlugin', 'dialOut', [destination, protocol, displayName, role]);
    },

};

});
