cordova.define("cordova-plugin-mst-live.mstLivePlugin", function(require, exports, module) {
var exec = require('cordova/exec');


module.exports = {

    init: function (appId, definitionCode, smallstuOssUrl, success, error) {
        exec(success, error, 'mstLivePlugin', 'init', [appId, definitionCode, smallstuOssUrl]);
    },

    login: function (account, password, success, error) {
        exec(success, error, 'mstLivePlugin', 'login', [account, password]);
    },

    createRoom: function (roomNum, role, classType, success, error) {
        exec(success, error, 'mstLivePlugin', 'createRoom', [roomNum, role, classType]);
    },

    joinRoom: function (roomNum, hostId, role, classType, teacherDevice, success, error) {
        exec(success, error, 'mstLivePlugin', 'joinRoom', [roomNum, hostId, role, classType, teacherDevice]);
    },

    exitRoom: function (success, error) {
        exec(success, error, 'mstLivePlugin', 'exitRoom', []);
    },

    sendGroupMessage: function (type, nickName, msgText, seqIdx, success, error) {
        exec(success, error, 'mstLivePlugin', 'sendGroupMessage', [type, nickName, msgText, seqIdx]);
    },

    sendC2CMessage: function (dest, type, nickName, msgText, seqIdx, success, error) {
        exec(success, error, 'mstLivePlugin', 'sendC2CMessage', [dest, type, nickName, msgText, seqIdx]);
    },

    receiveMessage: function (callback) {
        this.receiveMessageCallback = callback;
    },

    _onReceiveMessage: function (message) {
        if (this.receiveMessageCallback) {
            this.receiveMessageCallback(message);
        }
    },

    receiveEvent: function (callback) {
        this.eventCallback = callback;
    },

    _onReceiveEvent: function (eventType, detail) {
        if (this.eventCallback) {
            this.eventCallback(eventType, detail);
        }
    },

    openCamera: function (success, error) {
        exec(success, error, 'mstLivePlugin', 'openCamera', []);
    },

    closeCamera: function (success, error) {
        exec(success, error, 'mstLivePlugin', 'closeCamera', []);
    },

    switchCamera: function (success, error) {
        exec(success, error, 'mstLivePlugin', 'switchCamera', []);
    },

    closeMic: function (success, error) {
        exec(success, error, 'mstLivePlugin', 'closeMic', []);
    },

    openMic: function (success, error) {
        exec(success, error, 'mstLivePlugin', 'openMic', []);
    },

    upMic: function (success, error) {
        exec(success, error, 'mstLivePlugin', 'upMic', []);
    },

    downMic: function (success, error) {
        exec(success, error, 'mstLivePlugin', 'downMic', []);
    },

    changeRole: function (role, success, error) {
        exec(success, error, 'mstLivePlugin', 'changeRole', [role]);
    },

    switchVideoToMain: function (userId, videoType, success, error) {
        exec(success, error, 'mstLivePlugin', 'switchVideoToMain', [userId, videoType]);
    },

    toast: function (msg, success, error) {
        exec(success, error, 'mstLivePlugin', 'toast', [msg]);
    },

    getInput: function ( success, error) {
        exec(success, error, 'mstLivePlugin', 'getInput', []);
    },
};

});
